let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  perl = "/nix/store/9by5i7v4kyvk8b7xy7h6g8bwllh3nzws-perl-5.22.3/bin/perl";
  shell = "/nix/store/hsk82g493i7r496ghs0y61m6yvknxcml-bash-4.4-p5/bin/bash";
  coreutils = "/nix/store/5kpbrslmr07dzx27wfnqyddvqy5z9m9v-coreutils-8.26/bin";
  bzip2 = "/nix/store/fyg3j1qv981f1zb29qsh5klkr2njlyd7-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/8k5abffhhilgzxkdqd8d09950l12g2lj-gzip-1.8/bin/gzip";
  xz = "/nix/store/w3basp13w6gh3zjknwl64nhpdyhwr6m1-xz-5.2.2-bin/bin/xz";
  tar = "/nix/store/0fiys58j7j8wqz3f938jq2wl8820aw56-gnutar-1.29/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/5kpbrslmr07dzx27wfnqyddvqy5z9m9v-coreutils-8.26/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/zqkqnhk85g2shxlpb04y72h1i3db3gpl-nix-1.11.11/bin";
  nixPrefix = "/nix/store/zqkqnhk85g2shxlpb04y72h1i3db3gpl-nix-1.11.11";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
